Home › Security Center ›
Privilege Escalation in Intel® Hybrid Cloud (IHC)
Intel ID:  INTEL-SA-00032
Product family:  Intel® Hybrid Cloud (IHC) platform 2.5, 3.0, 3.1, and 3.1.1
Impact of vulnerability Elevation of Privilege
Severity rating Important
Original release:  Jul 10, 2012
Last revised:  Jul 19, 2012
Summary: 

A Citrix XenServer potential vulnerability has recently been reported that could pose a security risk to any system using XenServer Hypervisor, including the Intel® Hybrid Cloud (IHC) platform which uses Citrix XenServer VMM as the virtualization platform.  While we are not aware of any active exploitation of this issue, Intel is releasing updated versions of the Intel® Hybrid Cloud software to mitigate the potential vulnerability.

 
Description: 

Some 64-bit operating systems and virtualization software running on Intel CPU hardware are potentially vulnerable to a local privilege escalation attack.  Intel’s processors are functioning within specification; this is a software implementation issue. The potential vulnerability may be exploited for local privilege escalation or a guest-to-host virtual machine escape. Citrix Xen has released hotfixes for this software implementation vulnerability and Intel has incorporated those mitigations into the Intel® Hybrid Cloud software versions shown in the chart below.

 
Affected products: 
Product Name
Latest IHC Software Version
Intel® Hybrid Cloud platform
2.5
Intel® Hybrid Cloud platform
3.0
Intel® Hybrid Cloud Platform
3.1
Intel® Hybrid Cloud platform
3.1.1
 
Recommendations: 
Intel highly recommends that affected customers update the Intel® Hybrid Cloud Software to the latest version to mitigate this issue. The latest IHC software version for your specific product is mentioned in the above list. Detailed instructions on how get and apply the update are available at http://support.intel.com/support/progserv/appupsbs/hybrid/sb/CS-033643.htm
 
Revision history: 
Revision
Date
Description
1.0
10-July-2012
Initial release.
1.1 
19-July-2012 
Corrected minor typos. 
 
CERT advisory: 
http://www.kb.cert.org/vuls/id/649219
 
CVE Name: 
CVE-2012-0217

Disclaimer:

INFORMATION IN THIS DOCUMENT IS PROVIDED “AS IS” IN CONNECTION WITH INTEL® PRODUCTS. YOUR USE OF THE INFORMATION IN THE DOCUMENT OR MATERIALS LINKED FROM THE DOCUMENT IS AT YOUR OWN RISK. INTEL RESERVES THE RIGHT TO CHANGE OR UPDATE THIS DOCUMENT AT ANY TIME. EXCEPT AS PROVIDED IN INTEL’S TERMS AND CONDITIONS OF SALE FOR SUCH PRODUCTS, INTEL ASSUMES NO LIABILITY WHATSOEVER, AND INTEL DISCLAIMS ANY EXPRESS OR IMPLIED WARRANTY, RELATING TO SALE AND/OR USE OF INTEL PRODUCTS INCLUDING LIABILITY OR WARRANTIES RELATING TO FITNESS FOR A PARTICULAR PURPOSE, MERCHANTABILITY, OR INFRINGEMENT OF ANY PATENT, COPYRIGHT OR OTHER INTELLECTUAL PROPERTY RIGHT. NO LICENSE, EXPRESS OR IMPLIED, BY ESTOPPEL OR OTHERWISE, TO ANY INTELLECTUAL PROPERTY RIGHTS IS GRANTED BY THIS DOCUMENT.

© 2013, Intel Corporation